package eu.jonahbauer.wizard.core.machine.states.trick;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.states.GameData;

public final class StartingTrick extends TrickState {
    public StartingTrick(GameData data) {
        super(data);
    }

    @Override
    public void onEnter(Game game) {
        transition(game, new PlayingCard(getData()));
    }
}
